## vmpk 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2008-2010 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,6 +17,8 @@
 PROJECT(VMPK)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 
+OPTION(ENABLE_DBUS "Enable experimental VMPK DBus interface" ON)
+
 # Show full commands and messages. 
 # SET(CMAKE_VERBOSE_MAKEFILE ON CACHE BOOL)
 
@@ -36,7 +38,7 @@
 # VMPK version string
 SET (VERSION_MAJOR "0")
 SET (VERSION_MINOR "3")
-SET (VERSION_PATCH "0")
+SET (VERSION_PATCH "2")
 SET (VERSION_SUFFIX "")
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
 
@@ -56,10 +58,15 @@
 
 SET(QT_USE_QTXML TRUE)
 SET(QT_USE_QTSVG TRUE)
+IF(ENABLE_DBUS)
+    SET(QT_USE_QTDBUS TRUE)
+    ADD_DEFINITIONS(-DENABLE_DBUS)
+ENDIF(ENABLE_DBUS)
 INCLUDE(${QT_USE_FILE})
 INCLUDE_DIRECTORIES(${QT_INCLUDES}) 
 LINK_DIRECTORIES(${QT_LIBRARY_DIR})
 LINK_LIBRARIES(${QT_LIBRARIES})
+ADD_DEFINITIONS(-DQT_STRICT_ITERATORS)
 
 IF(${CMAKE_SYSTEM} MATCHES "Linux")
 # Check for PKG-CONFIG
@@ -89,12 +96,12 @@
     INCLUDE_DIRECTORIES(${ALSA_INC_DIR})
     ADD_DEFINITIONS(-D__LINUX_ALSASEQ__)
     ADD_DEFINITIONS(-DAVOID_TIMESTAMPING)
-    LINK_LIBRARIES(${ALSA_LIBS})
+    LINK_LIBRARIES(${ALSA_LIBS} ${QT_X11_X11_LIBRARY})
 ENDIF(${CMAKE_SYSTEM} MATCHES "Linux")
 
 IF(${CMAKE_SYSTEM} MATCHES "Darwin")
     ADD_DEFINITIONS(-D__MACOSX_CORE__)
-    LINK_LIBRARIES("-framework CoreMidi -framework CoreAudio -framework CoreFoundation")
+    LINK_LIBRARIES("-framework CoreMidi -framework CoreAudio -framework CoreFoundation -framework Carbon")
 ENDIF(${CMAKE_SYSTEM} MATCHES "Darwin")
 
 IF(${CMAKE_SYSTEM} MATCHES "IRIX")
@@ -148,9 +155,10 @@
         COMMAND cp -r src vmpk-${VERSION}
         COMMAND cp -r translations vmpk-${VERSION}
         COMMAND cp -r man vmpk-${VERSION}
+        COMMAND cp -r dbus vmpk-${VERSION}
         COMMAND cp AUTHORS ChangeLog CMakeLists.txt COPYING gpl.rtf NEWS README setup.nsi TODO vmpk.desktop vmpk.pro updateqm.pri vmpk.spec.in vmpk-${VERSION}
-        COMMAND tar -cj --exclude CVS --exclude .cvsignore -f vmpk-${VERSION}.tar.bz2 vmpk-${VERSION}
-        COMMAND tar -cz --exclude CVS --exclude .cvsignore -f vmpk-${VERSION}.tar.gz vmpk-${VERSION}
+        COMMAND tar -cj --exclude=.* -f vmpk-${VERSION}.tar.bz2 vmpk-${VERSION}
+        COMMAND tar -cz --exclude=.* -f vmpk-${VERSION}.tar.gz vmpk-${VERSION}
         COMMAND rm -rf vmpk-${VERSION}
         WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
     )
@@ -170,7 +178,9 @@
         data/pc102x11.xml
         data/txt2ins.awk
         data/help.html
+        data/help_de.html
         data/help_es.html
+        data/help_ru.html
         data/help_tr.html
     DESTINATION 
         share/vmpk 
@@ -178,7 +188,7 @@
 
     INSTALL(FILES data/vmpk_16x16.png 
         DESTINATION share/icons/hicolor/16x16/apps   
-       RENAME vmpk.png)
+        RENAME vmpk.png)
     
     INSTALL(FILES data/vmpk_32x32.png 
         DESTINATION share/icons/hicolor/32x32/apps   
@@ -192,9 +202,12 @@
         DESTINATION share/icons/hicolor/64x64/apps   
         RENAME vmpk.png)
 
-    INSTALL(FILES data/TheresaKnott_piano.svg
-        DESTINATION share/icons/hicolor/scalable/apps   
-        RENAME vmpk.svg)
+    INSTALL(FILES data/vmpk_128x128.png 
+        DESTINATION share/icons/hicolor/128x128/apps   
+        RENAME vmpk.png)
+
+    INSTALL(FILES data/vmpk.svgz
+        DESTINATION share/icons/hicolor/scalable/apps )   
     
     INSTALL ( FILES 
         vmpk.desktop
@@ -206,13 +219,14 @@
 
 IF (WIN32)
     INCLUDE (InstallRequiredSystemLibraries)
-    SET ( QTLIBLIST QtCore QtGui QtXml )
+    SET ( QTLIBLIST QtCore QtGui QtXml QtSvg )
     GET_FILENAME_COMPONENT(QT_DLL_PATH_tmp ${QT_QMAKE_EXECUTABLE} PATH)
     FOREACH(qtlib ${QTLIBLIST})
         INSTALL ( FILES ${QT_DLL_PATH_tmp}/${qtlib}4.dll
                   DESTINATION . )
     ENDFOREACH(qtlib)
-    INSTALL ( FILES ${QT_DLL_PATH_tmp}/mingwm10.dll
+    INSTALL ( FILES ${QT_DLL_PATH_tmp}/mingwm10.dll 
+                    ${QT_DLL_PATH_tmp}/libgcc_s_dw2-1.dll
               DESTINATION . )
     INSTALL ( FILES
         data/azerty.xml
@@ -223,7 +237,9 @@
         data/spanish.xml
         data/pc102win.xml
         data/help.html
+        data/help_de.html
         data/help_es.html
+        data/help_ru.html
         data/help_tr.html
     DESTINATION . )
 ENDIF (WIN32)
