=== man/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2008-2010 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -14,11 +14,12 @@
 # You should have received a copy of the GNU General Public License along 
 # with this program; If not, see <http://www.gnu.org/licenses/>.
 
-FIND_PACKAGE(LibXslt)
-IF(LIBXSLT_FOUND)
+FIND_PROGRAM(XSLTPROC_EXECUTABLE xsltproc)
+IF(XSLTPROC_EXECUTABLE)
+    MESSAGE(STATUS "XSLTPROC Found: ${XSLTPROC_EXECUTABLE}")
     INCLUDE(CreateManpages)
     CREATE_MANPAGES(vmpk.xml)
-ELSE(LIBXSLT_FOUND)
-    INSTALL( FILES vmpk.1
-             DESTINATION share/man/man1 )
-ENDIF(LIBXSLT_FOUND)
+ELSE(XSLTPROC_EXECUTABLE)
+    MESSAGE(STATUS "XSLTPROC NOT Found")
+    INSTALL( FILES vmpk.1 DESTINATION share/man/man1 )
+ENDIF(XSLTPROC_EXECUTABLE)
