=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2008-2010 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -99,6 +99,15 @@
     vpiano.h
 )
 
+IF(ENABLE_DBUS)
+    QT4_ADD_DBUS_ADAPTOR( vmpk_SRCS 
+                          net.sourceforge.vmpk.xml 
+                          vpiano.h 
+                          VPiano
+                          vmpk_adaptor
+    )
+ENDIF(ENABLE_DBUS)
+
 QT4_WRAP_CPP(vmpk_moc_SRCS ${vmpk_qtobject_SRCS})
 
 IF (UNIX AND NOT APPLE)
@@ -128,7 +137,9 @@
     SET(MACOSX_BUNDLE_BUNDLE_NAME "vmpk" )
     SET(vmpk_RSC ../data/vmpk.icns
              ../data/help.html
+             ../data/help_de.html
              ../data/help_es.html
+             ../data/help_ru.html
              ../data/help_tr.html
              ../data/txt2ins.awk
              ../data/gmgsxg.ins
