=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,11 @@
 SET( TRANSLATIONS_FILES 
+     vmpk_cs.ts 
+     vmpk_de.ts 
      vmpk_es.ts 
+     vmpk_fr.ts
+     vmpk_ru.ts
      vmpk_tr.ts 
-     vmpk_de.ts 
-#    vmpk_ca.ts 
+	 vmpk_zh_CN.ts
 )
 
 QT4_ADD_TRANSLATION(QM_FILES ${TRANSLATIONS_FILES})
