=== debian/changelog ===
vmpk (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Convert to 3.0 (quilt) source format.
  * Fix FTBFS with "ld --no-add-needed" (Closes: #615793)

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 04 Mar 2011 15:03:41 +0100

vmpk (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards Version to 3.9.0.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 07 Jul 2010 17:45:39 +0200

vmpk (0.3.1-1) unstable; urgency=low

  * New upstream release
  * Remove 0001-Look-for-xslproc-instead-of-libxslt, integrated upstream.
  * vmpk is linux specific (Closes: #557899)
    - Added to p-a-s

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 26 Apr 2010 12:44:41 +0200

vmpk (0.3.0-2) unstable; urgency=low

  * Build-depend on xsltproc, docbook-xsl and docbook-xml to be able to
    build the manpage and look for xslrproc instead of libxslt in
    man/CMakeLists.txt: Fixes issues when generating the manpage.
    - Add a debian/README.source

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 01 Nov 2009 14:46:38 +0100

vmpk (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Add VCS-* flags
  * Update debian/copyright
  * Build-depend on debhelper (7.0.50~)
  * Bump standards to 3.8.3
  * Buil-depend on libx11-dev

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 27 Sep 2009 19:40:28 +0200

vmpk (0.2.6-1) unstable; urgency=low

  * Initial release (Closes: #522884)
  * New Upstream Version
    + Remove debian/man: integrated by upstream.
    + Remove 0001-Do-not-install-doc-packages-in-the-wrong-place.patch
      which is now integrated upstream.
    + Remove 0002-data-txt2ins.awk-should-be-executable.patch which also
      is now fixed upstream.
  * Bump standards version to 3.8.2
  * Update copyright file
  * Use my Debian address

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 06 Sep 2009 15:12:01 +0200

vmpk (0.2.5-1) unstable; urgency=low

  * Initial packaging

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Fri, 05 Jun 2009 23:20:54 +0200
