=== debian/control ===
Source: vmpk
Section: sound
Priority: extra
Maintainer: Mehdi Dogguy <mehdi@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 cmake,
 pkg-config,
 xsltproc,
 docbook-xsl,
 docbook-xml,
 libasound2-dev,
 libx11-dev,
 libqt4-dev
Standards-Version: 3.9.0
Homepage: http://vmpk.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/vmpk.git
Vcs-Git: git://git.debian.org/git/collab-maint/vmpk.git

Package: vmpk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: qjackctl, qsynth
Description: Virtual MIDI Piano Keyboard
 Virtual MIDI Piano Keyboard is a MIDI events generator and
 receiver. It doesn't produce any sound by itself, but can be used to
 drive a MIDI synthesizer (either hardware or software, internal or
 external). You can use the computer's keyboard to play MIDI notes,
 and also the mouse. You can use the Virtual MIDI Piano Keyboard to
 display the played MIDI notes from another instrument or MIDI file
 player.
