=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,9 @@
      vmpk_de.ts 
      vmpk_es.ts 
      vmpk_fr.ts 
+     vmpk_nl.ts
      vmpk_ru.ts
+     vmpk_sv.ts
      vmpk_zh_CN.ts
 )
