=== debian/changelog ===
vmpk (0.4.0-3build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:49:49 +0000

vmpk (0.4.0-3) unstable; urgency=low

  * Revert last change that selected JACK as the RtMIDI backend
    (Reopens: 629300) (Closes: #663487).
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Correctly load saved preferences (Closes: #663513).
    - add 0002-Correctly-load-saved-preferences.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 08 Jun 2012 14:41:21 +0200

vmpk (0.4.0-2) unstable; urgency=low

  * Add GenericNames entries to .desktop file (Closes: #640993).
    - add 0001-Add-GenericName-entries-to-.desktop-file.patch
  * Select JACK for the RtMIDI backend (Closes: #629300).
    - add libjack-dev in Build-Depends.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 03 Jan 2012 23:25:35 +0100

vmpk (0.4.0-1) unstable; urgency=low

  * New upstream release.
    - remove 0001-Fix-to-build-with-ld-no-add-needed.patch
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Fix copyright-refers-to-deprecated-bsd-license-file
  * Fix package-contains-empty-directory usr/share/locale/
  * Fix duplicate-changelog-files (changelog.gz vs. ChangeLog.gz)

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 03 Jan 2012 23:03:48 +0100
