=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vmpk
 Section: sound
 Priority: extra
-Maintainer: Mehdi Dogguy <mehdi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  cmake,
  pkg-config,
@@ -11,7 +12,7 @@
  libasound2-dev,
  libx11-dev,
  libqt4-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.3
 Homepage: http://vmpk.sourceforge.net/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/vmpk.git
 Vcs-Git: git://git.debian.org/git/collab-maint/vmpk.git
