=== debian/watch ===
version=3

http://sf.net/vmpk/vmpk-(.+)\.tar\.gz
